# eric7.WebBrowser.Passwords.PasswordWriter

Module implementing a class to write login data files.

### Global Attributes

None

### Classes

PasswordWriter | Class implementing a writer object to generate login data files.

### Functions

None

## PasswordWriter

Class implementing a writer object to generate login data files.

### Derived from

QXmlStreamWriter

### Class Attributes

None

### Class Methods

None

### Methods

PasswordWriter | Constructor
__write | Private method to write an login data file.
__writeForms | Private method to write forms data.
__writeLogins | Private method to write the login data.
__writeNevers | Private method to write the URLs never to store login data for.
write | Public method to write an login data file.

### Static Methods

None

#### PasswordWriter (Constructor)

PasswordWriter()

Constructor

#### PasswordWriter.__write

__write(logins, forms, nevers)

Private method to write an login data file.

logins
  dictionary with login data (user name, password)
forms
  list of forms data (list of LoginForm)
nevers
  list of URLs to never store data for (list of strings)

Return:
  flag indicating success (boolean)

#### PasswordWriter.__writeForms

__writeForms(forms)

Private method to write forms data.

forms
  list of forms data (list of LoginForm)

#### PasswordWriter.__writeLogins

__writeLogins(logins)

Private method to write the login data.

logins
  dictionary with login data (user name, password)

#### PasswordWriter.__writeNevers

__writeNevers(nevers)

Private method to write the URLs never to store login data for.

nevers
  list of URLs to never store data for (list of strings)

#### PasswordWriter.write

write(fileNameOrDevice, logins, forms, nevers)

Public method to write an login data file.

fileNameOrDevice
  name of the file to write (string) or device to write to (QIODevice)
logins
  dictionary with login data (user name, password)
forms
  list of forms data (list of LoginForm)
nevers
  list of URLs to never store data for (list of strings)

Return:
  flag indicating success (boolean)

Up